PHP Manual
Prev |  | Next

# XMLWriter::writeAttribute

(no version information, might be only in CVS)

XMLWriter::writeAttribute -- Write full attribute

## Description

Object oriented style:

class XMLWriter {
bool writeAttribute ( string name, string value )
}

Procedural style:

bool xmlwriter_write_attribute ( resource xmlwriter, string name, string value )

Writes a full attribute.

## Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`name`

  The name of the attribute.

`value`

  The value of the attribute.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

XMLWriter::writeAttributeNS
XMLWriter::startAttribute
XMLWriter::startAttributeNS
XMLWriter::endAttribute

Prev | Home | Next
XMLWriter::writeAttributeNS | Up | XMLWriter::writeCData